object Form_Server_Main: TForm_Server_Main
  Left = 294
  Top = 236
  Width = 528
  Height = 277
  Caption = 'Chat Server 1.0'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnClose = FormClose
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object pcLearnSockets: TPageControl
    Left = 0
    Top = 0
    Width = 520
    Height = 250
    ActivePage = tsServer
    Align = alClient
    TabOrder = 0
    object tsServer: TTabSheet
      Caption = 'Server'
      ImageIndex = 1
      object gbServerSettings: TGroupBox
        Left = 0
        Top = 0
        Width = 161
        Height = 222
        Anchors = [akLeft, akTop, akBottom]
        Caption = 'Server Settings'
        TabOrder = 0
        object lblServerPort: TLabel
          Left = 4
          Top = 44
          Width = 19
          Height = 13
          Caption = 'Port'
        end
        object Label2: TLabel
          Left = 40
          Top = 44
          Width = 36
          Height = 13
          Caption = 'Service'
        end
        object lblServerThreadCacheSize: TLabel
          Left = 4
          Top = 80
          Width = 91
          Height = 13
          Caption = 'Thread Cache Size'
        end
        object btnServerOpen: TButton
          Left = 4
          Top = 16
          Width = 75
          Height = 25
          Caption = 'Open'
          TabOrder = 0
          OnClick = btnServerOpenClick
        end
        object btnServerClose: TButton
          Left = 80
          Top = 16
          Width = 75
          Height = 25
          Caption = 'Close'
          TabOrder = 1
          OnClick = btnServerCloseClick
        end
        object edServerPort: TEdit
          Left = 4
          Top = 56
          Width = 33
          Height = 21
          TabOrder = 2
          Text = '1024'
        end
        object edServerService: TEdit
          Left = 40
          Top = 56
          Width = 117
          Height = 21
          TabOrder = 3
        end
        object edServerThreadCacheSize: TEdit
          Left = 100
          Top = 80
          Width = 33
          Height = 21
          TabOrder = 4
          Text = '10'
        end
        object gbServerSocketType: TGroupBox
          Left = 4
          Top = 104
          Width = 153
          Height = 57
          Caption = 'Server Type'
          TabOrder = 5
          object rbtnServerNonBlocking: TRadioButton
            Left = 4
            Top = 16
            Width = 89
            Height = 17
            Caption = 'Non-Blocking'
            Checked = True
            TabOrder = 0
            TabStop = True
          end
          object rdbtnServerThreadBlocking: TRadioButton
            Left = 4
            Top = 36
            Width = 101
            Height = 17
            Caption = 'Thread Blocking'
            Enabled = False
            TabOrder = 1
          end
        end
        object gbUserDefinedServerSettings: TGroupBox
          Left = 4
          Top = 164
          Width = 153
          Height = 55
          Anchors = [akLeft, akTop, akBottom]
          Caption = 'User Defined Server Settings'
          TabOrder = 6
          object cbBroadcastMessage: TCheckBox
            Left = 4
            Top = 16
            Width = 117
            Height = 17
            Caption = 'Broadcast Message'
            TabOrder = 0
          end
          object cbLogAllClientMessages: TCheckBox
            Left = 4
            Top = 32
            Width = 133
            Height = 17
            Caption = 'Log All Client Messages'
            TabOrder = 1
          end
        end
      end
      object memReceive: TMemo
        Left = 164
        Top = 4
        Width = 346
        Height = 193
        Anchors = [akLeft, akTop, akRight, akBottom]
        Color = clBackground
        Ctl3D = False
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clLime
        Font.Height = -13
        Font.Name = 'Terminal'
        Font.Style = []
        ParentCtl3D = False
        ParentFont = False
        ReadOnly = True
        ScrollBars = ssBoth
        TabOrder = 1
        WantReturns = False
        OnKeyDown = memReceiveKeyDown
      end
      object edSend: TEdit
        Left = 164
        Top = 198
        Width = 346
        Height = 21
        Anchors = [akLeft, akRight, akBottom]
        TabOrder = 2
        OnKeyDown = edSendKeyDown
      end
    end
    object TabSheet2: TTabSheet
      Caption = 'Connections'
      ImageIndex = 2
      object sgServerConnections: TStringGrid
        Left = 0
        Top = 0
        Width = 512
        Height = 222
        Align = alClient
        ColCount = 25
        DefaultRowHeight = 16
        Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goColSizing, goRowSelect]
        TabOrder = 0
        OnDblClick = sgServerConnectionsDblClick
        OnKeyDown = sgServerConnectionsKeyDown
      end
    end
    object TabSheet1: TTabSheet
      Caption = 'Status'
      ImageIndex = 1
      object lvServerActivity: TListView
        Left = 0
        Top = 4
        Width = 511
        Height = 189
        Anchors = [akLeft, akTop, akRight, akBottom]
        Columns = <
          item
            Caption = 'Event'
            Width = -1
            WidthType = (
              -1)
          end
          item
            Caption = 'Host'
            Width = -1
            WidthType = (
              -1)
          end
          item
            Caption = 'IP Address'
            Width = -1
            WidthType = (
              -1)
          end
          item
            Caption = 'Port'
            Width = -2
            WidthType = (
              -2)
          end
          item
            Caption = 'Date/Time'
            Width = -1
            WidthType = (
              -1)
          end>
        TabOrder = 0
        ViewStyle = vsReport
      end
      object btnClearServerSocketLog: TButton
        Left = 0
        Top = 196
        Width = 511
        Height = 25
        Anchors = [akLeft, akRight, akBottom]
        Caption = 'Clear Log'
        TabOrder = 1
        OnClick = btnClearServerSocketLogClick
      end
    end
  end
  object ChatServerSocket: TServerSocket
    Active = False
    Port = 0
    ServerType = stNonBlocking
    OnListen = ChatServerSocketListen
    OnAccept = ChatServerSocketAccept
    OnGetThread = ChatServerSocketGetThread
    OnGetSocket = ChatServerSocketGetSocket
    OnThreadStart = ChatServerSocketThreadStart
    OnThreadEnd = ChatServerSocketThreadEnd
    OnClientConnect = ChatServerSocketClientConnect
    OnClientDisconnect = ChatServerSocketClientDisconnect
    OnClientRead = ChatServerSocketClientRead
    OnClientWrite = ChatServerSocketClientWrite
    OnClientError = ChatServerSocketClientError
    Left = 40
    Top = 256
  end
end
